var util = require('util');
var Service = require('../../../../common/Service');
var utils = require('../../../../common/utils');

var SetHint = function () {
  Service.call(this);
};

util.inherits(SetHint, Service);

module.exports = SetHint;

SetHint.prototype.process = function (req, res) {
  if (req.hintPCOnline !== 0 && req.hintPCOnline !== 1) {
    this.onLogicError(1, "请提供参数“hintPCOnline”！");
    return;
  }
  req.session.user.hintPCOnline = req.hintPCOnline;
  this.end(res);
};